## python-shippinglabel 1.7.1+dfsg

=== requirements.txt ===
apeye>=1.0.0
deprecation-alias>=0.3.2
dist-meta>=0.1.2
dom-toml>=0.2.2
domdf-python-tools>=3.1.0
packaging>=20.9
platformdirs>=2.3.0
typing-extensions>=3.7.4.3

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
git+https://github.com/domdfcoding/shippinglabel-conda
git+https://github.com/domdfcoding/shippinglabel-pypi
default-values>=0.6.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.5.0
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== tests/requirements.txt ===
apeye[limiter]>=1.0.0
betamax>=0.8.1
coincidence>=0.2.0
consolekit>=1.1.2
coverage>=5.1
coverage-pyver-pragma>=0.2.1
importlib-metadata>=3.6.0
pip>=21
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-regressions>=2.0.2
pytest-rerunfailures>=9.1.1
pytest-timeout>=1.4.2
requests>=2.25.1

=== debian/changelog ===
python-shippinglabel (1.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.7.1+dfsg

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 03 Feb 2024 14:14:44 -0300

python-shippinglabel (1.6.0+dfsg-2) unstable; urgency=medium

  * debian/control:
     - Added dependency for running tests
     - Added 'Testsuite: autopkgtest-pkg-pybuild'
  * debian/rules: Enabled test execution
  * debian/patches: Skipped function with error

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 02 Jan 2024 23:51:50 -0300

python-shippinglabel (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.0+dfsg

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 14 Dec 2023 20:47:31 -0300

python-shippinglabel (1.5.0+dfsg-4) unstable; urgency=medium

  * debian/control: Added Build-Depends: python3-trove-classifiers
  * debian/patches/: Swapped module to import directly from trove_classifiers

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 15 Nov 2023 16:33:39 -0300

python-shippinglabel (1.5.0+dfsg-3) unstable; urgency=medium

  * debian/control: Removing unnecessary dependencies
  * debian/patches: Disabled import violation dfsg

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 14 Nov 2023 21:29:55 -0300

python-shippinglabel (1.5.0+dfsg-2) unstable; urgency=medium

  * debian/control: Added build-depends necessary

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 11 Nov 2023 18:34:28 -0300

python-shippinglabel (1.5.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1027763)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 22 Oct 2023 06:22:56 -0300

=== debian/control ===
Source: python-shippinglabel
Section: python
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-apeye,
               python3-betamax,
               python3-coincidence,
               python3-consolekit,
               python3-coverage,
               python3-dist-meta,
               python3-dom-toml,
               python3-domdf-python-tools,
               python3-importlib-metadata,
               python3-packaging,
               python3-pip,
               python3-platformdirs,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-regressions,
               python3-pytest-rerunfailures,
               python3-pytest-timeout,
               python3-requests,
               python3-setuptools,
               python3-trove-classifiers,
               python3-typing-extensions
Standards-Version: 4.6.2
Homepage: https://github.com/domdfcoding/shippinglabel
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shippinglabel
Vcs-Git: https://salsa.debian.org/python-team/packages/python-shippinglabel.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-shippinglabel
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Utilities for handling packages
 Module developed with the aim of assisting the developer in managing
 packages with the following functions:
  - Returns the web links for the given project.
  - Useful for creating and verifying sha256 checksums of files.
  - Useful for working with trove classifiers.
  - Useful for working with the Python Package Index (PyPI).
  - Useful for working with PEP 508 requirements.
  - Useful for working with source distributions.
  - Serves to assist in building conda packages.
  - Returns the subset of versions that do not end with -dev.
  - Returns the subset of versions that are not pre-releases
    (alpha, beta, dev, rc etc.).
    packages.
  - Reads the pyvenv.cfg for the given virtualenv and returns a key:
    value mapping of your content.
  - among other features.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_TEST_CUSTOM=1
%:
	dh $@ --with python3  --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest  -v --ignore=tests/test_pypi.py --ignore=tests/test_checksum.py
endif

override_dh_link:
	dh_link
	find debian/python3-shippinglabel/ -name 'LICENSE' -delete \
	-o -name 'requirements.txt' -delete

## python-shippinglabel 1.7.2+dfsg

=== debian/changelog ===
python-shippinglabel (1.7.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.7.2+dfsg
  * debian/patches/003.skip-test-with-error.patch: File has undergone changes

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 25 May 2024 00:07:51 -0300

python-shippinglabel (1.7.1+dfsg-2) unstable; urgency=medium

  * debian/control: fix maintainer name
  * debian/patches/002.skip-test-error.partch: renamed numbering
  * debian/patches/003.skip-test-with-error.patch: (Closes: #1066748)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 14 Mar 2024 06:46:14 -0300

## python-shippinglabel 2.0.0+dfsg

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -15,6 +15,12 @@
 sphinx-pyproject>=0.1.0
 sphinx-tabs>=1.1.13
 sphinx-toolbox>=3.5.0
+sphinxcontrib-applehelp==1.0.4
+sphinxcontrib-devhelp==1.0.2
+sphinxcontrib-htmlhelp==2.0.1
 sphinxcontrib-httpdomain>=1.7.0
+sphinxcontrib-jsmath==1.0.1
+sphinxcontrib-qthelp==1.0.3
+sphinxcontrib-serializinghtml==1.1.5
 sphinxemoji>=0.1.6
 toctree-plus>=0.6.1

=== debian/changelog ===
python-shippinglabel (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.0+dfsg
  * debian/control: Bumped Standards-Version to 4.7.0
  * debian/patches/002.skip-test-error.patch: Fixed by upstream in new version


 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 07 Aug 2024 22:46:44 -0300

## python-shippinglabel 2.1.0+dfsg

=== debian/changelog ===
python-shippinglabel (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1.0+dfsg

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 30 Dec 2024 21:17:23 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-shippinglabel
 Section: python
 Priority: optional
-Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -28,7 +29,7 @@
                python3-setuptools,
                python3-trove-classifiers,
                python3-typing-extensions
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/domdfcoding/shippinglabel
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shippinglabel
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-shippinglabel.git

## python-shippinglabel 2.2.0+dfsg

=== requirements.txt ===
dist-meta>=0.1.2
dom-toml>=0.2.2
domdf-python-tools>=3.1.0
packaging>=20.9
typing-extensions>=3.7.4.3

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -11,9 +11,7 @@
 sphinx-debuginfo>=0.2.2
 sphinx-licenseinfo>=0.3.1
 sphinx-notfound-page>=0.7.1
-sphinx-prompt>=1.1.0
 sphinx-pyproject>=0.1.0
-sphinx-tabs>=1.1.13
 sphinx-toolbox>=3.5.0
 sphinxcontrib-applehelp==1.0.4
 sphinxcontrib-devhelp==1.0.2

=== tests/requirements.txt ===
--- 
+++ 
@@ -13,3 +13,4 @@
 pytest-rerunfailures>=9.1.1
 pytest-timeout>=1.4.2
 requests>=2.25.1
+setuptools>=70.2.0; python_version >= "3.12"

=== debian/changelog ===
python-shippinglabel (2.2.0+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 18:41:41 +0200

python-shippinglabel (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg
  * debian/control:
     - Added build-depends python3-hatchling and python3-hatch-requirements-txt
     - Bumped Standards-Version to 4.7.2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 10 Apr 2025 20:29:05 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-apeye,
@@ -16,7 +16,8 @@
                python3-dist-meta,
                python3-dom-toml,
                python3-domdf-python-tools,
-               python3-importlib-metadata,
+               python3-hatchling,
+               python3-hatch-requirements-txt,
                python3-packaging,
                python3-pip,
                python3-platformdirs,
@@ -29,7 +30,7 @@
                python3-setuptools,
                python3-trove-classifiers,
                python3-typing-extensions
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/domdfcoding/shippinglabel
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shippinglabel
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-shippinglabel.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_TEST_CUSTOM=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest  -v --ignore=tests/test_pypi.py --ignore=tests/test_checksum.py
endif

execute_after_dh_link:
	find debian/python3-shippinglabel/ -name 'LICENSE' -delete \
	-o -name 'requirements.txt' -delete

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/domdfcoding/shippinglabel/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
